D4Science Infrastructure - VM Creation #8561

Task # 8442 (Closed): Authorization Service to update : auth@node7.d.d4science.research-infrastructures.eu
Move authorization service instance on a new VM called auth-dev.d4science.org
May 12, 2017 05:33 PM - Roberto Cirillo

Status: In Progress Start date: May 12, 2017

Priority: Normal Due date:

Assignee: Lucio Lelii % Done: 10%

Target version: Dismiss

node?7.d.d4science.research-infrastructur
es.eu

Infrastructure: Development Applications list and
version:

RAM: 3 Applications context
path:

CPU: 2 External storage data
disk:

DiskSpace: 10 Smartgears auth
connector:

Smartgears: No data transfer
enabled:

Smartgears Version: PostgreSQL Yes
database:

Application Number of VMs: 1

Instructions:

Smartgears scopes:

Description

It's needed to mode the authorization service hosted on node7.d.d4science.research-infrastructures.eu to a new VM called
"auth-dev.d4science.org".
It's needed also to keep the old hostname as an alias.

Related issues:
Related to D4Science Infrastructure - Task #8673: Reconfigure the authorizati... Closed May 17, 2017

History

#1 - May 12, 2017 05:49 PM - Roberto Cirillo

- Target version changed from UnSprintable to Dismiss node?7.d.d4science.research-infrastructures.eu

#2 - May 12, 2017 05:51 PM - Roberto Cirillo
- Parent task set to #8442

#3 - May 12, 2017 05:59 PM - Roberto Cirillo

Please @lucio.lelii@isti.cnr.it could you change this tracker to VMCreation and set the resources needed by authorization service.

#4 - May 12, 2017 06:03 PM - Lucio Lelii

- Tracker changed from Task to VM Creation
- RAM set to 3

-CPUsetto 2

- DiskSpace set to 10

- Smartgears set to No

- PostgreSQL database set to Yes

#5 - May 16, 2017 01:00 PM - Andrea Dell'Amico
- Status changed from New to In Progress

#6 - May 16, 2017 01:33 PM - Andrea Dell'Amico
auth-d.dev.d4science.org 146.48.123.127

#7 - May 16, 2017 03:28 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

The service is up. The database configuration is the same as we have on the running dev authorization service.

The service is available over http and https, @Ilucio.lelii@isti.cnr.it if you can make it run under https I'll then close the direct access to the tomcat
port. Let me know if the service work, and then I'll move the old hostname.

#8 - May 17, 2017 05:50 PM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Lucio Lelii

#9 - May 17, 2017 06:53 PM - Andrea Dell'Amico
- % Done changed from 90 to 100

I just moved the hostname node7.d.d4science.research-infrastructures.eu as alias of auth-d.dev.d4science.org

#10 - May 17, 2017 07:06 PM - Andrea Dell'’Amico
- Related to Task #8673: Reconfigure the authorization clients in dev to use https://auth-d.dev.d4science.org/ as the URL for the authentication service
added

#11 - Oct 02, 2017 05:35 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
- Number of VMs set to 1

#12 - Oct 15, 2018 06:41 PM - Andrea Dell'Amico
- Status changed from Closed to In Progress

- % Done changed from 100 to 70

| just added the CNAME again, some services still break.
